Bug 994514 - [abrt] yum-utils-1.1.31-15.fc19: reposync:308:main:NameError: global name 'self' is not defined
[abrt] yum-utils-1.1.31-15.fc19: reposync:308:main:NameError: global name 'se...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:742e6a8a20ca3e3b6b452905730...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 08:29 EDT by Dean Hunter
Modified: 2014-01-16 11:53 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-utils-1.1.31-17.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 13:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (887.34 KB, text/plain)
2013-08-07 08:29 EDT, Dean Hunter
no flags Details
File: core_backtrace (140 bytes, text/plain)
2013-08-07 08:29 EDT, Dean Hunter
no flags Details
File: environ (2.13 KB, text/plain)
2013-08-07 08:29 EDT, Dean Hunter
no flags Details

  None (edit)
Description Dean Hunter 2013-08-07 08:29:27 EDT
Description of problem:
reposync \
  --config /etc/fedora19.conf \
  --download_path /srv/http/repos/fedora19 \
  --downloadcomps \
  --repoid updates-testing

Version-Release number of selected component:
yum-utils-1.1.31-15.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -tt /bin/reposync --config /etc/fedora18.conf --download_path /srv/http/repos/fedora18 --downloadcomps --repoid updates-testing
executable:     /bin/reposync
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            0
Comment 1 Dean Hunter 2013-08-07 08:29:31 EDT
Created attachment 783879 [details]
File: backtrace
Comment 2 Dean Hunter 2013-08-07 08:29:35 EDT
Created attachment 783880 [details]
File: core_backtrace
Comment 3 Dean Hunter 2013-08-07 08:29:38 EDT
Created attachment 783881 [details]
File: environ
Comment 4 Zdeněk Pavlas 2013-08-07 08:36:42 EDT
Uhm, error paths are certainly not tested well.. Thanks for the report!
Comment 5 Fedora Update System 2013-08-07 09:22:21 EDT
yum-utils-1.1.31-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-17.fc19
Comment 6 Fedora Update System 2013-08-07 19:10:05 EDT
Package yum-utils-1.1.31-17.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-utils-1.1.31-17.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14431/yum-utils-1.1.31-17.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-09 13:03:26 EDT
yum-utils-1.1.31-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Peter H. Jones 2014-01-16 11:53:24 EST
Please repoen. ABRT caught this with yum-utils-1.1.31-10.fc18.

Last output was:
"(4092/4128): zypper-1.9.6-8.1.i586.rpm                                    | 946 kB  00:00:00     
(4093/4128): zypper-1.9.6-8.1.x86_64.rpm                                  | 943 kB  00:00:00     
(4094/4128): zypper-aptitude-1.9.6-8.1.noarch.rpm                         |  32 kB  00:00:00     
(4095/4128): zypper-log-1.9.6-8.1.noarch.rpm                              |  34 kB  00:00:00     
Traceback (most recent call last):
  File "/bin/reposync", line 329, in <module>
    main()
  File "/bin/reposync", line 308, in main
    self.logger.error('%s: %s', key, error)
NameError: global name 'self' is not defined
"

Note You need to log in before you can comment on or make changes to this bug.